#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
    if (argc != 5)
    {
        printf("Args needed: <output-file> <red> <green> <blue>\n");
        return 1;
    }

    char buf[12] =
    {
        1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 255,
    };

    buf[8] = atoi(argv[2]);
    buf[9] = atoi(argv[3]);
    buf[10] = atoi(argv[4]);

    FILE *fp = fopen(argv[1], "w");
    if (!fp)
    {
        perror("fopen");
        return 1;
    }

    fwrite(buf, 1, 12, fp);
    fclose(fp);

    printf("Done.\n");

    return 0;
}
